<div align="center">
  <img alt="logo" src="/public/favicon.svg" width="100" />
</div>
<h1 align="center">
  <a href="https://kjelsrud.dev">kjelsrud.dev</a>
</h1>
<p align="center">
  The third iteration of my personal website, built with <a href="https://astro.build/">Astro</a>.
</p>

## 📝 Info

### What I've learned from the project so far

- Coding with HTML, CSS, TypeScript, etc.
- Usage of SSG/frameworks like Hugo or Astro
- How to use Git
- How to selfhost websites using Caddy
- Some understanding of Github Actions + Pages
- How to create websites that are faster, more secure, and easier to maintain
- How to use templates to generate static websites
- How to use DNS pointers (A- & CNAME records)
- How to create & use layouts for a static website
- How to write JSON-docs and use data from it

### Features

- Blog
- Bookmarks
- Connect
- CV
- Digital garden
- Gallery
- Guestbook
- Logs
- Now
- Uses
- Vinyl collection

### Future plans:

- [ ] Food wall
- [ ] Worldmap of places I've been
- [ ] Page filled with quotes I like

## 🛠️ How do I run it locally?

1. Install the dependencies: `yarn`

2. Start the development server: `yarn dev`

## 🎨 Color codes

### Light mode

| Color | Hex |
|-|-|
| Coffee Cream | ![#F7F0E8](https://via.placeholder.com/10/F7F0E8?text=+) `#F7F0E8` |
| Espresso Text | ![#3B2C29](https://via.placeholder.com/10/3B2C29?text=+) `#3B2C29` |
| Latte Secondary Text | ![#78605C](https://via.placeholder.com/10/78605C?text=+) `#78605C` |
| Cappuccino Accents | ![#A48B82](https://via.placeholder.com/10/A48B82?text=+) `#A48B82` |
| Caramel Macchiato | ![#B08968](https://via.placeholder.com/10/B08968?text=+) `#B08968` |

### Dark mode

| Color | Hex |
|-|-|
| Deep Ocean | ![#0F1A1C](https://via.placeholder.com/10/0F1A1C?text=+) `#0F1A1C` |
| Mint Foam Text | ![#9AD3BB](https://via.placeholder.com/10/9AD3BB?text=+) `#9AD3BB` |
| Coral Reef Accent | ![#3A6F7F](https://via.placeholder.com/10/3A6F7F?text=+) `#3A6F7F` |
| Seaweed Highlight | ![#2B4F60](https://via.placeholder.com/10/2B4F60?text=+) `#2B4F60` |
| Lagoon | ![#1A333F](https://via.placeholder.com/10/1A333F?text=+) `#1A333F` |
| Aquamarine | ![#7FCDCD](https://via.placeholder.com/10/7FCDCD?text=+) `#7FCDCD` |

## Versionlog
- The first iteration of my website was plain html and css..
- The second iteration of my website was a Hugo-instance that used a readymade theme called "PaperMod".

