---
title: "from hugo to astro"
pubDate: 'Dec 27 2023'
description: ""
draft: false
---

During the summer this year I heard about a new web framework called [**Astro**](https://astro.build/). A new web framework with next-gen frontend architecture. After browsing through [**their showcase**](https://astro.build/showcase/) section on the website and reading more about it, I got the idea of remaking my website with Astro to learn more about the framework. Also, it's just a fun side project to work on as we don't learn a lot of frontend stuff at university.

Previously, the website was built with the static site generator [**Hugo**](https://gohugo.io/), which I was quite satisfied with. The performance was quite good, and the development experience was great, so it was kinda scary to redo the site.

Moving to Astro, I found myself immersed in an incredibly satisfying developer experience. The ***'only ship what's necessary'*** approach really resonated with me. This principle ensures that only the required bits are sent to the browser, making the site super fast and efficient. What I found particularly cool about Astro is its ability to integrate with components from other frameworks. This meant I could leverage the strengths of multiple frameworks, bringing a new level of flexibility and power to my project (even though I still haven't actually done this for the site yet hehe).

As the project gets more and more worked on, I feel a deep sense of satisfaction and pride in building my website from the ground up with Astro. The excitement of choosing my own layout and colors, exploring different design ideas, and learning new things along the way was exhilarating. This wasn't just a technical exercise; it was a creative journey. The process of building, experimenting, and seeing the ideas come to life on the screen was not only fun but incredibly rewarding. I’ve gained not just a new website, but also invaluable skills and knowledge that will undoubtedly help me in future projects.

In conclusion, the shift to Astro has been a wonderful adventure. It shows the joys of exploring new technologies and the endless possibilities they bring to the realm of web development. 

If you got any ideas for my website, found a bug or just want to say hello? [**Reach out**](/connect) to me 🫶